> ## Documentation Index
> Fetch the complete documentation index at: https://axiom.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://axiom.co/docs/feedback

```json
{
  "path": "/restapi/endpoints/getDatasetTagValues",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get tag values for a dataset

<Warning>
  Use this endpoint to query data from a specific edge deployment. The data you query must be stored in the edge deployment where you query it. For more information, see [Query data](/restapi/ingest) and [Edge deployments](/reference/edge-deployments).

  The base domain for this endpoint is the base domain of the edge deployment where you want to query data.

  | Edge deployment      | Base domain for ingest and query |
  | :------------------- | :------------------------------- |
  | `US East 1 (AWS)`    | `us-east-1.aws.edge.axiom.co`    |
  | `EU Central 1 (AWS)` | `eu-central-1.aws.edge.axiom.co` |

  This endpoint only supports API tokens. Personal access tokens (PATs) aren't supported. For more information, see [Tokens](/reference/tokens).
</Warning>


## OpenAPI

````yaml v1-edge-query get /query/metrics/info/datasets/{dataset}/tags/{tag}/values
openapi: 3.0.0
info:
  description: Query execution API for regional Edge deployments
  title: Axiom Query
  termsOfService: http://axiom.co/terms
  contact:
    name: Axiom support team
    url: https://axiom.co
    email: hello@axiom.co
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 2.0.0
servers:
  - url: https://{axiom-domain}/v1/
security: []
paths:
  /query/metrics/info/datasets/{dataset}/tags/{tag}/values:
    get:
      tags:
        - query
      operationId: getDatasetTagValues
      parameters:
        - description: The dataset to retrieve tag values from
          name: dataset
          in: path
          required: true
          schema:
            type: string
        - description: The tag name to retrieve values for
          name: tag
          in: path
          required: true
          schema:
            type: string
        - description: Start time for timeframe to return (RFC3339 format)
          name: start
          in: query
          required: true
          schema:
            type: string
        - description: End time for timeframe to return (RFC3339 format)
          name: end
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Tag values for the specified dataset and tag
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
            application/vnd.metrics-info.v2+json:
              schema:
                type: array
                items:
                  type: string
        '404':
          description: Dataset or tag not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricsError'
            application/vnd.metrics-info.v2+json:
              schema:
                $ref: '#/components/schemas/MetricsError'
        default:
          description: User or system error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricsError'
            application/vnd.metrics-info.v2+json:
              schema:
                $ref: '#/components/schemas/MetricsError'
      security:
        - Auth:
            - query|read
components:
  schemas:
    MetricsError:
      type: object
      properties:
        error:
          description: The error
          type: string
        message:
          description: A formatted user-facing error message
          type: string
  securitySchemes:
    Auth:
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          tokenUrl: https://www.googleapis.com/oauth2/v4/token
          scopes: {}

````